import { EventEmitter, Renderer2 } from '@angular/core';
import { Column } from '@true-directive/base';
import { GridStateService } from '../grid-state.service';
import { MaskNumberDirective } from '../mask/mask-number.directive';
import { IEditor } from "./editor.interface";
export declare class EditorNumberComponent implements IEditor {
    protected _renderer: Renderer2;
    ie: boolean;
    value: number | null;
    valueTemp: any;
    valueChanged: boolean;
    format: string;
    height: number;
    input: any;
    maskNumberDirective: MaskNumberDirective;
    state: GridStateService;
    column: Column;
    row: any;
    commit: EventEmitter<any>;
    cancel: EventEmitter<void>;
    change: EventEmitter<any>;
    private _inited;
    init(value: any, valueChanged: boolean, height: number, ie?: boolean): void;
    ngAfterContentInit(): void;
    inputMouseDown(e: any): void;
    inputChange(e: any): void;
    inputKeyDown(e: any): void;
    getClass(): "" | "true-grid-editor-ie" | "true-grid-editor-100p";
    getH(): string;
    getFormat(): string;
    constructor(_renderer: Renderer2);
}
